curl --request GET \
--url https://api.extole.io/v5/persons/{person_id}/journeys/{journey_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v5/persons/{person_id}/journeys/{journey_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v5/persons/{person_id}/journeys/{journey_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"campaign_id": "<string>",
"container": "<string>",
"created_date": "2025-10-24T02:00:00-07:00",
"data": {},
"id": "<string>",
"key": {
"name": "<string>",
"value": "<string>"
},
"name": "<string>",
"program": "<string>",
"updated_date": "2025-10-24T02:00:00-07:00"
}Get a person journey
Returns the specified campaign journey for the given person, including the program, campaign, container, journey entry data, and timestamps.
Authorizations
Path Parameters
The Extole unique profile identifier of this user at Extole.
Journey id parameter.
Response
Successful response
Extole campaign id associated with this journey.
Campaign container the journey belongs to.
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
Named data parameters attached to this journey entry.
Show child attributes
Show child attributes
Extole-assigned unique identifier for this journey entry.
Show child attributes
Show child attributes
Name of the journey (program step) the person is on.
Program key associated with this journey.
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
